The Last Sword You Will Ever Need Mod 1.7.10/1.7.2/1.6.4

The Last Sword You Will Ever Need Mod for Minecraft 1.7.10, 1.7.2, 1.6.4

Updated: May 22, 2015 | 415 views |

The-Last-Sword-You-Will-Ever-Need-Mod.jpg

The Last Sword You Will Ever Need Mod adds as it says the last sword you will ever need. It is a sword that can one hit KO the Ender Dragon.

Mod Showcase:

Recipes:

The-Last-Sword-You-Will-Ever-Need-Mod-1.jpg

How to install:

  • Download and install Minecraft Forge.
  • Download the The Last Sword You Will Ever Need Mod from link below.
  • Go to .minecraft/mods folder. If the "mods" folder does not exist you can create one.
    • Windows – Open the Start menu and select Run, or press the Windows key + R. Type (without quotes) "%appdata%\.minecraft\mods" and press Enter.
    • OS X – Open the Go menu in Finder and select “Go to Folder”. Type (without quotes) "~/Library/Application Support/minecraft/mods" and press Return.
  • Copy the downloaded jar (zip) file into the "mods" folder that opens.
  • Enjoy the mod.

Download Links:

For 1.6.4

http://www.dl2.9minecraft.net/index.php?act=dl&id=1408243598

http://www.dl6.9minecraft.net/index.php?act=dl&id=1408243473

For 1.7.2

http://www.dl2.9minecraft.net/index.php?act=dl&id=1408243619

http://www.dl6.9minecraft.net/index.php?act=dl&id=1408243497

For 1.7.10

http://www.dl2.9minecraft.net/index.php?act=dl&id=1413955128

http://www.dl6.9minecraft.net/index.php?act=dl&id=1413969409


Credits: dracominer